Search Keys

Retrieve data for multiple keys with a GET request to the endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Key Search

You can search for keys using a query that matches any of the following fields: name, serial number, notes, or address. If no search query is provided, the API will return all available keys.

Additionally, you can filter results by organization ID, returning all keys associated with the specified organization.

The response is returned as a JSON array containing key objects.

Example: Search by Organization ID

curl -u '[email protected]:{password}' https://www.keycafe.com/v0/key?organization=123456 -H "Accept: application/json"

Pagination

Results are paginated, with a maximum of 50 keys per page. Additional pages can be accessed using the Link response header

Link: <https://www.keycafe.com/v0/key?query=vancouver&page=2>; rel="next",
      <https://www.keycafe.com/v0/key?query=vancouver&page=5>; rel="last"
  • rel="first": URL to retrieve the first page of results.
  • rel="prev": URL to retrieve the previous page of results.
  • rel="next": URL to retrieve the next page of results.
  • rel="last": URL to retrieve the final page of results.
Query Params
string

A text query string used to filter results (e.g., by name or location).
Example: Bob's Home Key

int64

The ID of an organization by which to filter results.
Example: 123456

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json